Loading...
Searching...
No Matches
bitvec.h File Reference
`#include <openbabel/babelconfig.h>`
`#include <vector>`
`#include <string>`
`#include <inttypes.h>`
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | OBBitVec

## Namespaces

namespace | OpenBabel

## Macros

#define | SETWORD 32
#define | WORDROLL 5
#define | WORDMASK 31
#define | WORDSIZE_OF_BITSIZE(bit_size)
#define | STARTWORDS 10

## Functions

double | Tanimoto (const OBBitVec &bv1, const OBBitVec &bv2)

## Detailed Description

Fast and efficient bitstring class.

## Macro Definition Documentation

## SETWORD

#define SETWORD 32

Referenced by OBBitVec::operator<<, OBBitVec::SetRangeOff(), and OBBitVec::SetRangeOn().

## WORDROLL

#define WORDROLL 5

Referenced by OBBitVec::BitIsSet(), OBBitVec::Fold(), OBBitVec::NextBit(), OBBitVec::SetBitOff(), OBBitVec::SetBitOn(), OBBitVec::SetRangeOff(), and OBBitVec::SetRangeOn().

## WORDMASK

#define WORDMASK 31

Referenced by OBBitVec::BitIsSet(), OBBitVec::NextBit(), OBBitVec::SetBitOff(), OBBitVec::SetBitOn(), OBBitVec::SetRangeOff(), and OBBitVec::SetRangeOn().

## WORDSIZE_OF_BITSIZE

#define WORDSIZE_OF_BITSIZE | ( |  | bit_size | ) |

Value:
( ( bit_size >> WORDROLL ) + (( bit_size & WORDMASK ) ? 1 : 0) )
WORDMASK
#define WORDMASK
Definition bitvec.h:40
WORDROLL
#define WORDROLL
Definition bitvec.h:38

Referenced by OBBitVec::OBBitVec(), and OBBitVec::Resize().

## STARTWORDS

#define STARTWORDS 10

Referenced by OBBitVec::OBBitVec().